org.apache.jmeter.report.processor.graph

## Class AbstractVersusRequestsGraphConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
      - - org.apache.jmeter.report.processor.graph.AbstractVersusRequestsGraphConsumer

All Implemented Interfaces:
  SampleConsumer, SampleProcessor, SampleProducer

Direct Known Subclasses:
  LatencyVSRequestGraphConsumer, ResponseTimeVSRequestGraphConsumer

    public abstract class AbstractVersusRequestsGraphConsumer
    extends AbstractGraphConsumer

The class AbstractOverTimeGraphConsumer provides a base class for over time graphs.

Since:
  3.0

### Field Summary

Fields
`static String` `RESULT_CTX_GRANULARITY`
`static String` `TIME_INTERVAL_LABEL`

### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

`DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT, DEFAULT_GROUP, DEFAULT_OVERALL_SERIES_FORMAT, RESULT_MAX_X, RESULT_MAX_Y, RESULT_MIN_X, RESULT_MIN_Y, RESULT_SERIES, RESULT_SERIES_DATA, RESULT_SERIES_IS_CONTROLLER, RESULT_SERIES_IS_OVERALL, RESULT_SERIES_NAME, RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_TITLE`

### Constructor Summary

Constructors
`protected` `AbstractVersusRequestsGraphConsumer()` Instantiates a new abstract over time graph consumer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consume(Sample sample, int channel)` Consumes the specified sample ton the specified channel.
`long` `getGranularity()` Gets the granularity.
`void` `initialize()`
`protected void` `initializeExtraResults(MapResultData parentResult)` Inherited classes can add properties to the result
`void` `setConsumedMetadata(SampleMetadata sampleMetadata, int channel)` Set the metadata of samples that will be consumed on the specified channel.
`void` `setGranularity(long granularity)` Sets the granularity.
`void` `startConsuming()` Start the sample consuming.
`void` `stopConsuming()` Stops the consuming process.
`void` `stopConsumingBase()`

### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

`createGroupInfos, createKeysSelector, createSerieResult, getAggregatedKeysSeriesFormat, getGroupInfos, getInvertsKeysAndValues, getKeysSelector, getOverallSeriesFormat, getTitle, rendersPercentiles, setAggregatedKeysSeriesFormat, setOverallSeriesFormat, setRenderPercentiles, setRevertKeysAndValues, setTitle`

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

`addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

`getChannelAttribute, getSampleContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

`getChannelAttribute, getSampleContext`

### Field Detail

#### RESULT_CTX_GRANULARITY

    public static final String RESULT_CTX_GRANULARITY

See Also:
  Constant Field Values

#### TIME_INTERVAL_LABEL

    public static final String TIME_INTERVAL_LABEL

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractVersusRequestsGraphConsumer

    protected AbstractVersusRequestsGraphConsumer()

Instantiates a new abstract over time graph consumer.

### Method Detail

#### getGranularity

    public long getGranularity()

Gets the granularity.

Returns:
  the granularity

#### setGranularity

    public final void setGranularity(long granularity)

Sets the granularity.

Parameters:
  `granularity` - the granularity to set

#### startConsuming

    public void startConsuming()

Description copied from interface: `SampleConsumer`
Start the sample consuming. This step is used by consumer to initialize their process.

Specified by:
  `startConsuming` in interface `SampleConsumer`
Overrides:
  `startConsuming` in class `AbstractGraphConsumer`

#### initialize

    public void initialize()

Overrides:
  `initialize` in class `AbstractGraphConsumer`

#### setConsumedMetadata

    public void setConsumedMetadata(SampleMetadata sampleMetadata,
                                    int channel)

Description copied from interface: `SampleConsumer`
Set the metadata of samples that will be consumed on the specified channel.

Specified by:
  `setConsumedMetadata` in interface `SampleConsumer`
Overrides:
  `setConsumedMetadata` in class `AbstractSampleConsumer`
Parameters:
  `sampleMetadata` - The sample metadata that are being consumed for the associated channel
  `channel` - The channel whose sample metadata are being defined

#### consume

    public void consume(Sample sample,
                        int channel)

Description copied from interface: `SampleConsumer`
Consumes the specified sample ton the specified channel.

Specified by:
  `consume` in interface `SampleConsumer`
Overrides:
  `consume` in class `AbstractGraphConsumer`
Parameters:
  `sample` - The sample to be consumed
  `channel` - The channel on which the sample is consumed

#### stopConsuming

    public void stopConsuming()

Description copied from interface: `SampleConsumer`
Stops the consuming process. No sample will be processed after this service has been called.

Specified by:
  `stopConsuming` in interface `SampleConsumer`
Overrides:
  `stopConsuming` in class `AbstractGraphConsumer`

#### stopConsumingBase

    public void stopConsumingBase()

#### initializeExtraResults

    protected void initializeExtraResults(MapResultData parentResult)

Description copied from class: `AbstractGraphConsumer`
Inherited classes can add properties to the result

Specified by:
  `initializeExtraResults` in class `AbstractGraphConsumer`
Parameters:
  `parentResult` - the parent result